/*********************************************
 THIS COMMAND FILE SHOWS HOW TO USE A 
   PERMANENT SAS DATA SET.

 FILENAME:  USEPERM.SAS
**********************************************/
OPTIONS FORMCHAR="|----|+|---+=|-/\<>*";

/*USE PERMANENT SAS DATA SETS*/

libname sasdata1 V6 "c:\temp\sasdata1";

title "SASDATA1.FITNESS";
proc means data=sasdata1.fitness; 
proc print data=sasdata1.fitness;
run;
proc freq data=sasdata1.fitness;
  tables sex;
run;
title "SASDATA1.GPA";
proc means data=sasdata1.gpa;
run;

/*SUBMIT SEVERAL LIBNAME STATEMENTS*/

libname sasdata1 v6  "c:\temp\sasdata1";
libname sasdata2 v9  "c:\temp\sasdata2";

title "Contents of Version 6 Datasets in SASDATA1 Library";
proc contents data=sasdata1._all_  nods;
run;

title "Contents of Datasets in SASDATA2 Library";
proc contents data=sasdata2._all_  nods;
run;

/*ASSIGN A DEFAULT SAS DATA SET*/

libname sasdata2 V9 "c:\temp\sasdata2";   
options _last_=sasdata2.baseball; 
title "SASDATA2.BASEBALL Data Set";
proc means;
run;
proc freq;
  tables team;
run;
proc reg;
  model salary = cr_home;
run; quit;

/*USE A DATA SET WITH THE FULL PATH AND FILE NAME*/

title "SASDATA2.IRIS Data Set";
proc means data="c:\temp\sasdata2\iris.sas7bdat"; 
proc print data="c:\temp\sasdata2\iris.sas7bdat"(obs=10);
run;

/*CREATE A TEMPORARY SAS DATA SET 
  FROM A PERMANENT ONE*/

libname sasdata2 V9 "c:\temp\sasdata2";
data business;
  set sasdata2.business; 
run;
title "Business data set";
proc means; 
run;

/*HOW TO DE-ASSIGN A LIBRARY*/

libname sasdata1 clear;
